%define _requires_exceptions  typelib\\(GtkosxApplication|Gtkspell|Glib\\)

Summary:	Genealogical Research and Analysis Management Programming System
Summary(de):	Genealogie-Erforschung und -Analysesystem
Name:		gramps
Version:	5.0.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Sciences/Other
Source0:	https://github.com/gramps-project/gramps/releases/%{name}-%{version}.tar.xz
Source11:	%{name}-48.png
Source12:	%{name}-32.png
Source13:	%{name}-16.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://gramps.sourceforge.net
#---------------------------------------
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-utils
BuildRequires:	scrollkeeper
BuildRequires:  intltool
BuildRequires:	%{_lib}python3-devel
BuildRequires:	%{_lib}gexiv2-devel >= 0.10
BuildRequires:	python3-setuptools
Obsoletes:	%name < %version
#---------------------------------------
Requires:	graphviz
Requires:	%{_lib}gexiv2_2 >= 0.10
Requires:	python3-bsddb3
Requires:	python3-gobject3
Requires:	python3-icu
Requires:	xdg-utils
Requires:	webkitgtk2
Requires:	GConf2
Requires:	shared-mime-info
Requires:	%{_lib}osmgpsmap1.0_0
Requires:	%{_lib}rsvg2_2
Requires:	%{_lib}gtk+3_0

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python
based plugin system.

%description -l de
GRAMPS ist ein Genealogie-Programm, entwickelt für Linux und andere
UNIX-ähnliche Systeme. Es hilft dir deinen Familienstammbaum aufzuzeichnen
indem es das einfache Speichern, Bearbeiten, Abrufen und Finden genealogischer
Zusammenhänge ermöglicht.


%prep
%setup -q

%build
python3 setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python3 setup.py install --root %{buildroot}
perl -pi -e "s@%{buildroot}@@" %buildroot/%python3_sitelib/gramps/gen/utils/resource-path

#cleaning
rm -rf %{buildroot}/var

#menu
perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/*
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Science" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
 
%find_lang %{name} --with-gnome --with-man
rm -f %{buildroot}%python3_sitelib/gramps-*.egg-info

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_scrollkeeper
%update_mime_database
%update_icon_cache hicolor

%postun
%clean_scrollkeeper
%clean_mime_database
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-, root, root)
%doc README.md TODO COPYING example/
%{_bindir}/%{name}
%{_datadir}/metainfo/gramps.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/%{name}.png
%{_datadir}/mime-info/%{name}.*
%{_mandir}/man1/%{name}.1*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{python3_sitelib}/%name/
%{_datadir}/icons/gnome/

%changelog
* Sun Nov 25 2018 adrianomorselli <adrianomorselli> 5.0.0-1uplos2018
- update
